var plIsOpen = false;
var eqIsOpen = false;
var vHeadIsOpen = false;
var speed = 500;
var boolPlaying = true;
var visIsRu

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    SetSourceImage();
	
    if(player.OpenState == osMediaOpen)
    {
        OnPlayStateChange();
    }	
}


function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
 	Init();          
    }
}

function OnPlayStateChange()
{
//   SetSourceImage();
   switch(player.PlayState)
   {   
   case 1:
   	EndVideo();
   	break;
   case 3:
      if (player.currentMedia.ImageSourceWidth>0) {
      		StartVideo();
      	} else {
		visEffects.visible = true;
	}
      break;
   }	
}

function SetSourceImage() {
	var strSourceURL = player.currentMedia.sourceURL;

	if(strSourceURL.search(/cd:/i) != -1) {
		cd.image = "light_on.bmp";
		net.image = "light_off.bmp";
		local.image = "light_off.bmp";
	} else if (strSourceURL.search(/\\/i) != -1) {
		net.image = "light_off.bmp";
		cd.image = "light_off.bmp";
		local.image = "light_on.bmp";
	} else {
		net.image = "light_on.bmp";
		cd.image = "light_off.bmp";
		local.image = "light_off.bmp";			 
	}
}

function StartVideo()
{
    vid.visible = true;
    visEffects.visible = false;
}

function EndVideo()
{
    visEffects.visible = true;
    vid.visible = false;
}

function togglePlView() {
	if(plIsOpen) {
		pl.visible = false;
		vPlist.moveto(351,98,speed);
	} else {
		vPlist.moveto(531,98,speed);	
	}
	plIsOpen = !plIsOpen;
}

function PlOnEndMove()
{
	pl.visible = plIsOpen;
}

function togglePlVis(bool) {
	if(plIsOpen) {
		pl.visible = true;	
	}
}

function toggleHead() {
	vHead.moveto(277,0,speed);
}

// EQ tooltips are set dynamically, because otherwise they popup when the EQ is closed... bug?
eqToolTips = new Array("32 Hz","63 Hz","125 Hz","250 Hz","500 Hz","1 kHz","2 kHz","4 kHz","8 kHz","16 kHz");

function toggleEqView() {
	if(eqIsOpen) {
		vEq.moveto(169,98,speed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip=''");
		}
	} else {
		vEq.moveto(0,98,speed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip='" + eqToolTips[i-1] + "';");
		}
	}
	eqIsOpen = !eqIsOpen;
}


function resetEq() {
	eq.gainLevel1=0;
	eq.gainLevel2=0;
	eq.gainLevel3=0;
	eq.gainLevel4=0;
	eq.gainLevel5=0;
	eq.gainLevel6=0;
	eq.gainLevel7=0;
	eq.gainLevel8=0;
	eq.gainLevel9=0;
	eq.gainLevel10=0;
	player.settings.balance=0;
}